Bug 464422 - gnash processes don't exit in firefox
gnash processes don't exit in firefox
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnash (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-28 12:06 EDT by Paul Grabbe
Modified: 2015-01-28 09:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:32:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Grabbe 2008-09-28 12:06:21 EDT
Description of problem: 
some gtk-gnash processes won't quit. This is seen when visiting some websites with flash content. gtk-gnash processes are spawned for each FLASH instance on page. When leaving or closing that page most processes quit but some are persistent. This can cause firefox and the rest of the system to be slow as these tend to build up after browsing for a while. At one time I had 8 gtk-gnash processes hanging around consuming resources even though there was no page with flash content currently open.


Version-Release number of selected component (if applicable):
firefox 3.0.2
gnash 0.8.3-2
Gnome 2.22.3

How reproducible: Every time


Steps to Reproduce:
1. Start firefox
2. go to NYT homepage www.nytimes.com
3. go to any other page without flash content
  
Actual results:
When leaving NYT page all but one gnash process quit. What remains is this process: /usr/bin/gtk-gnash -x 56739799 -j 24 -k 24 -u http://graphics8.nytimes.com/images/apps/timespeople/spinner.swf -F 71 -U http://www.nytimes.com/ -P PARAM= -P SRC=http://graphics8.nytimes.com/images/apps/timespeople/spinner.swf -P WMode=Transparent -P data=http://graphics8.nytimes.com/images/apps/timespeople/spinner.swf -P height=24 -P movie=http://graphics8.nytimes.com/images/apps/timespeople/spinner.swf -P type=application/x-shockwave-flash -P width=24 -

Exiting firefox will cause all gtk-gnash processes to quit

Expected results:
All gnash processes should quit if no flash containing pages are being viewed.

Additional info:
hardware config - 
http://www.smolts.org/show?uuid=pub_e5adecb3-9df6-4355-9dfc-a5622c85dc7f
Comment 1 Patrice Dumas 2008-11-10 15:40:02 EST
I can confirm that bug, even with 0.8.4. This is reported upstream as
https://savannah.gnu.org/bugs/?23284
Comment 2 Bug Zapper 2009-06-09 22:50:08 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Patrice Dumas 2009-06-10 06:28:29 EDT
could you please test with the current gnash, 0.8.5?
Comment 4 Bug Zapper 2009-07-14 10:32:26 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Paul Grabbe 2015-01-28 09:19:55 EST
commenting to just clear the automatic bugzilla nag messages. Haven't used gnash since reporting this bug and F9 EOL.

Note You need to log in before you can comment on or make changes to this bug.